summaryrefslogtreecommitdiff
path: root/tests/misc/id-context
diff options
context:
space:
mode:
authorOndřej Vašík <ovasik@redhat.com>2008-04-23 12:38:54 +0200
committerJim Meyering <meyering@redhat.com>2008-04-23 17:51:44 +0200
commit1a5b6e3a50b25f3af9d3b83ccdfc1db518ba09ca (patch)
treef3dd58aeb9bcdfb57bbd084213b6e006ee25dac4 /tests/misc/id-context
parent0a4a938b6bf60903475d85cad399f874f8afe51c (diff)
downloadcoreutils-1a5b6e3a50b25f3af9d3b83ccdfc1db518ba09ca.tar.xz
id: do not print SELinux context when invoked with a USERNAME argument
* NEWS: Mention new behaviour. * src/id.c (main): Do not print SELinux context when user is specified. * tests/Makefile.am: Add the new test. * tests/misc/id-context: New file. Test for the fix. Problem reported by Ronny Buchmann in http://bugzilla.redhat.com/443485.
Diffstat (limited to 'tests/misc/id-context')
-rwxr-xr-xtests/misc/id-context37
1 files changed, 37 insertions, 0 deletions
diff --git a/tests/misc/id-context b/tests/misc/id-context
new file mode 100755
index 000000000..5dca74493
--- /dev/null
+++ b/tests/misc/id-context
@@ -0,0 +1,37 @@
+#!/bin/sh
+# Ensure that "id" outputs SELinux context only without specified user
+# Copyright (C) 2008 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ id --version
+fi
+
+. $top_srcdir/tests/test-lib.sh
+# Require selinux - when selinux is disabled, id never prints scontext.
+require_selinux_
+
+fail=0
+
+# Check without specified user, context string should be present.
+id | grep context= >/dev/null || fail=1
+
+# Check with specified user, no context string should be present.
+# But if the current user is nameless, skip this part.
+id -nu > /dev/null \
+ && id $(id -nu) | grep context= >/dev/null && fail=1
+
+(exit $fail); exit $fail